Class | Fog::Compute::AWS::Subnets
In: | lib/fog/aws/models/compute/subnets.rb
Parent: | Fog::Collection

### Methods

all get new

### Public Class methods

new(attributes)

     Creates a new subnet

     AWS.subnets.new

     ==== Returns

     Returns the details of the new Subnet

>> AWS.subnets.new

     <Fog::AWS::Compute::Subnet
     subnet_id=subnet-someId,
     state=[pending|available],
     vpc_id=vpc-someId
     cidr_block=someIpRange
     available_ip_address_count=someInt
     tagset=nil
     >

### Public Instance methods

all(filters = filters)

     Returns an array of all Subnets that have been created

     AWS.subnets.all

     ==== Returns

     Returns an array of all VPCs

>> AWS.subnets.all

     <Fog::AWS::Compute::Subnet
     filters={}
     [
     subnet_id=subnet-someId,
     state=[pending|available],
     vpc_id=vpc-someId
     cidr_block=someIpRange
     available_ip_address_count=someInt
     tagset=nil
     ]
     >

get(subnet_id)

     Used to retrieve a Subnet
     subnet-id is required to get the associated VPC information.

     You can run the following command to get the details:
     AWS.subnets.get("subnet-12345678")

     ==== Returns

>> AWS.subnets.get("subnet-12345678")

     <Fog::AWS::Compute::Subnet
     subnet_id=subnet-someId,
     state=[pending|available],
     vpc_id=vpc-someId
     cidr_block=someIpRange
     available_ip_address_count=someInt
     tagset=nil
     >

[Validate]